Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_LF_Follower_Auto_Adder Class Reference

Implement an auto_adder-like class for the TAO_LF_Followers allocated via a TAO_Leader_Follower set. More...

`#include <LF_Follower_Auto_Adder.h>`

Collaboration diagram for TAO_LF_Follower_Auto_Adder:

[legend]
List of all members.

## Public Methods
| TAO_LF_Follower_Auto_Adder (TAO_Leader_Follower &, TAO_LF_Follower *follower)
| Constructor.
| ~TAO_LF_Follower_Auto_Adder (void)
| Destructor.
## Private Attributes
TAO_Leader_Follower & | leader_follower_
| Keep a reference to the leader follower.
TAO_LF_Follower * | follower_
| The follower.

## Detailed Description

Implement an auto_adder-like class for the TAO_LF_Followers allocated via a TAO_Leader_Follower set.

The Leader/Follower set is a factory for TAO_LF_Follower objects

## Constructor & Destructor Documentation

ACE_INLINE TAO_LF_Follower_Auto_Adder::TAO_LF_Follower_Auto_Adder | ( | TAO_Leader_Follower & | ,
|  | TAO_LF_Follower * | follower
| ) |

| Constructor.

TAO_LF_Follower_Auto_Adder::~TAO_LF_Follower_Auto_Adder | ( | void |  | ) |

| Destructor.

## Member Data Documentation

TAO_LF_Follower* TAO_LF_Follower_Auto_Adder::follower_`[private]`

| The follower.

TAO_Leader_Follower& TAO_LF_Follower_Auto_Adder::leader_follower_`[private]`

| Keep a reference to the leader follower.

The documentation for this class was generated from the following files:

- LF_Follower_Auto_Adder.h
- LF_Follower_Auto_Adder.cpp
- LF_Follower_Auto_Adder.inl